<?xml version="1.0" encoding="WINDOWS-1251"?>
<problem 
    version="1.0"
    id ="roi.day1.brackets"
>
    <judging>
        <script type ="%ioi">
            <testset
                name ="preliminary"

                input-name  ="brackets.in"
                output-name ="brackets.out"
                input-href  ="preliminary/##"
                answer-href ="preliminary/##.a"

                time-limit ="1s"
                memory-limit ="268435456"
            >
                <test points ="0" comment="Тест из примера"/>
                <test points ="0" comment="Тест из примера"/>
                <test points ="0" comment="Тест из примера"/>
            </testset>

            <testset
                name ="main"

                input-name  ="brackets.in"
                output-name ="brackets.out"
                input-href  ="tests/##"
                answer-href ="tests/##.a"

                time-limit ="1s"
                memory-limit ="268435456"
            >
            	<test-group
            		comment = "Подзадача 1. (n &lt;= 50)"
            		score = "group"
            		feedback = "outcome"
            		group-bonus = "40"
            	>
<test points = "0" comment = "()()(), ответ 31" />
<test points = "0" comment = "()(()), ответ 35" />
<test points = "0" comment = "(()()), ответ 43" />
<test points = "0" comment = "()()()(), ответ 49" />
<test points = "0" comment = "()()(()), ответ 53" />
<test points = "0" comment = "(())(()), ответ 57" />
<test points = "0" comment = "((()))(), ответ 61" />
<test points = "0" comment = "(())(()()), ответ 87" />
<test points = "0" comment = "()((()())), ответ 95" />
<test points = "0" comment = "(()()()()), ответ 111" />
<test points = "0" comment = "случайный тест, n = 47, ответ 6347" />
<test points = "0" comment = "случайный тест, n = 46, ответ 6557" />
<test points = "0" comment = "случайный тест, n = 46, ответ 5781" />
<test points = "0" comment = "случайный тест, n = 47, ответ 6871" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не более 10, n = 49, ответ 5639" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не более 20, n = 48, ответ 6069" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не менее 10, n = 46, ответ 8205" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не менее 20, n = 47, ответ 6891" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не более 10, n = 47, ответ 5079" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не более 20, n = 47, ответ 5599" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не менее 10, n = 47, ответ 5755" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не менее 20, n = 47, ответ 6331" />
<test points = "0" comment = "случайный тест, n = 50, ответ 8989" />
<test points = "0" comment = "тест вида ((((...)))), n = 50, ответ 10101" />
<test points = "0" comment = "тест вида ()()...()(), n = 50, ответ 5201" />
<test points = "0" comment = "тест вида ((((...))))()()...()(), n = 50, ответ 6401" />


                </test-group>
            	<test-group
            		comment = "Подзадача 2. (n &lt;= 2500)"
            		score = "group"
            		feedback = "outcome"
            		group-bonus = "30"
            	>
<test points = "0" comment = "случайный тест, n = 2423, ответ 21551751" />
<test points = "0" comment = "случайный тест, n = 2371, ответ 16870243" />
<test points = "0" comment = "случайный тест, n = 2466, ответ 17168237" />
<test points = "0" comment = "случайный тест, n = 2366, ответ 14985857" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не более 10, n = 2461, ответ 12151355" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не более 100, n = 2311, ответ 11000435" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не менее 100, n = 2268, ответ 19390505" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не менее 1000, n = 2362, ответ 18991857" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не более 10, n = 2465, ответ 12191575" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не более 100, n = 2415, ответ 11993283" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не менее 100, n = 2452, ответ 16519265" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не менее 1000, n = 2304, ответ 16729093" />
<test points = "0" comment = "случайный тест, n = 2500, ответ 19849101" />
<test points = "0" comment = "тест вида ((((...)))), n = 2500, ответ 25005001" />
<test points = "0" comment = "тест вида ()()...()(), n = 2500, ответ 12510001" />
<test points = "0" comment = "тест вида ((((...))))()()...()(), n = 2500, ответ 15632501" />
                </test-group>
            	<test-group
            		comment = "Подзадача 3. (n &lt;= 50000)"
            		score = "group"
            		feedback = "outcome"
            		group-bonus = "30"
            	>
<test points = "0" comment = "случайный тест, n = 47970, ответ 6829744069" />
<test points = "0" comment = "случайный тест, n = 48900, ответ 6981212033" />
<test points = "0" comment = "случайный тест, n = 45067, ответ 5645918139" />
<test points = "0" comment = "случайный тест, n = 45254, ответ 6553649421" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не более 10, n = 47828, ответ 4575789241" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не более 100, n = 48039, ответ 4622009691" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не более 5000, n = 48175, ответ 4988519955" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не менее 100, n = 48919, ответ 8161822103" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не менее 1000, n = 45305, ответ 6726258291" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не менее 10000, n = 48424, ответ 8050955061" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной от 5000 до 10000, n = 47143, ответ 5191757067" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не более 10, n = 47715, ответ 4554189639" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не более 100, n = 48175, ответ 4648271979" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не более 5000, n = 49752, ответ 5258612577" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не менее 100, n = 46567, ответ 7110676839" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не менее 1000, n = 47923, ответ 7261314883" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной не менее 10000, n = 48168, ответ 6077250933" />
<test points = "0" comment = "случайный тест, разбивающийся на последовательности длиной от 5000 до 10000, n = 46843, ответ 5062479295" />
<test points = "0" comment = "случайный тест, n = 50000, ответ 7128569509" />
<test points = "0" comment = "тест вида ((((...)))), n = 50000, ответ 10000100001" />
<test points = "0" comment = "тест вида ()()...()(), n = 50000, ответ 5000200001" />
<test points = "0" comment = "тест вида ((((...))))()()...()(), n = 50000, ответ 6250150001" />
                </test-group>
            </testset>

            <verifier type="%testlib">
                <binary executable-id ="x86.exe.win32" file ="check.exe" />
            </verifier>
        </script>
    </judging>
</problem>